# GET

Security teams and developers can use this endpoint to audit hook implementations or integrate them into their systems. For instance, a security firm could automatically scan new hooks' source code for vulnerabilities.

Successful response:

```json
{
    "data": {
        "bytecode": "<some_bytecode>",
        "abi": "<some_abi>",
        "sourcecode": "<some_sourcecode>"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://hookrank.gitbook.io/hookrank/public-api/endpoints/api-public-v1-uniswap-hooks-chainid-hookaddress-contract-metadata/get.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
